Bug 970208 - [abrt] prelink-0.4.6-8.fc18: raise: Process /usr/sbin/prelink was killed by signal 6 (SIGABRT)
[abrt] prelink-0.4.6-8.fc18: raise: Process /usr/sbin/prelink was killed by s...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: prelink (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
abrt_hash:22630e3bd224abd56502c64bc33...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-03 12:58 EDT by Robert Hancock
Modified: 2014-02-05 16:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:39:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (3.78 KB, text/plain)
2013-06-03 12:58 EDT, Robert Hancock
no flags Details
File: cgroup (126 bytes, text/plain)
2013-06-03 12:58 EDT, Robert Hancock
no flags Details
File: core_backtrace (304 bytes, text/plain)
2013-06-03 12:58 EDT, Robert Hancock
no flags Details
File: dso_list (257 bytes, text/plain)
2013-06-03 12:58 EDT, Robert Hancock
no flags Details
File: environ (2.85 KB, text/plain)
2013-06-03 12:58 EDT, Robert Hancock
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-03 12:58 EDT, Robert Hancock
no flags Details
File: maps (860 bytes, text/plain)
2013-06-03 12:58 EDT, Robert Hancock
no flags Details
File: open_fds (149 bytes, text/plain)
2013-06-03 12:58 EDT, Robert Hancock
no flags Details
File: proc_pid_status (906 bytes, text/plain)
2013-06-03 12:58 EDT, Robert Hancock
no flags Details
File: var_log_messages (311 bytes, text/plain)
2013-06-03 12:59 EDT, Robert Hancock
no flags Details

  None (edit)
Description Robert Hancock 2013-06-03 12:58:27 EDT
Version-Release number of selected component:
prelink-0.4.6-8.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/sbin/prelink -av -mR -q
crash_function: raise
executable:     /usr/sbin/prelink
kernel:         3.8.11-200.fc18.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
[New LWP 7594]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Core was generated by `/usr/sbin/prelink -av -mR -q'.
Program terminated with signal 6, Aborted.
#0  0x000000000043d84b in raise ()

Thread 1 (Thread 0x1e588c0 (LWP 7594)):
#0  0x000000000043d84b in raise ()
No symbol table info available.
#1  0x0000000000455958 in abort ()
No symbol table info available.
#2  0x00000000004110c7 in layout_libs () at layout.c:578
        last = <optimized out>
        k = <optimized out>
        mmap_base = 206158430208
        size = <optimized out>
        fake = 0x0
        fakecnt = 0
        done = 1
        mmap_fin = 274877906944
        list = <optimized out>
        m = <optimized out>
        mmap_start = 206158430208
        mmap_end = 274877906944
        layout_libs_pre = 0x0
        plarch = <optimized out>
        i = <optimized out>
        max_page_size = 2
        fakeent = {filename = 0x0, canon_filename = 0x0, soname = 0x0, hardlink = 0x0, timestamp = 0, checksum = 0, base = 31832603, end = 1, layend = 31832592, pltgot = 0, dev = 0, ino = 0, type = 4250841, done = 0, ndepends = 0, refs = 0, flags = 31833500, u = {explicit = 0, tmp = 0}, ctime = 196964232, mtime = 32696, depends = 0x7fb80bbd7008, prev = 0x0, next = 0x40db20 <gather_check_lib>, opd = 0x0}
        j = <optimized out>
        class = 2
        base = <optimized out>
        e = <optimized out>
        deps = 0x7fff33c550b0
        layout_libs_post = 0x0
        l = {libs = 0x7fff33c60a40, binlibs = 0x7fff33c570c0, list = 0x0, fake = 0x0, mmap_base = 0, mmap_start = 0, mmap_fin = 0, mmap_end = 0, max_page_size = 2097152, arch_data = 0x0, flags = 65598, nlibs = 1020, nbinlibs = 3197, fakecnt = 0}
        arch = 0
        arches = 0x7fff33c570a0
        narches = 2
        plibs = 0x7fff33c60a40
        pbinlibs = 0x7fff33c570c0
#3  0x0000000000402e2b in main (argc=4, argv=0x7fff33c6a778) at main.c:483
        remaining = 4
        failures = 0
No shared libraries loaded at this time.
$1 = 0x0
No symbol "__glib_assert_msg" in current context.
rax            0x0	0
rbx            0xffffffffffe00000	-2097152
rcx            0xffffffffffffffff	-1
rdx            0x6	6
rsi            0x1daa	7594
rdi            0x1daa	7594
rbp            0x7fff33c6a5b0	0x7fff33c6a5b0
rsp            0x7fff33c54f68	0x7fff33c54f68
r8             0x7fff33c55428	140734061958184
r9             0x1f0bd20	32554272
r10            0x8	8
r11            0x206	518
r12            0x200000	2097152
r13            0x7fff33c550b0	140734061957296
r14            0x95a	2394
r15            0x4ad0	19152
rip            0x43d84b	0x43d84b <raise+43>
eflags         0x206	[ PF IF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x63	99
gs             0x0	0
Dump of assembler code for function raise:
   0x000000000043d820 <+0>:	mov    %fs:0x2d4,%ecx
   0x000000000043d828 <+8>:	mov    %fs:0x2d0,%esi
   0x000000000043d830 <+16>:	mov    %ecx,%eax
   0x000000000043d832 <+18>:	movslq %edi,%rdx
   0x000000000043d835 <+21>:	movslq %esi,%rsi
   0x000000000043d838 <+24>:	sar    $0x1f,%eax
   0x000000000043d83b <+27>:	mov    %eax,%edi
   0x000000000043d83d <+29>:	xor    %ecx,%edi
   0x000000000043d83f <+31>:	sub    %eax,%edi
   0x000000000043d841 <+33>:	mov    $0xea,%eax
   0x000000000043d846 <+38>:	movslq %edi,%rdi
   0x000000000043d849 <+41>:	syscall 
=> 0x000000000043d84b <+43>:	cmp    $0xfffffffffffff000,%rax
   0x000000000043d851 <+49>:	ja     0x43d855 <raise+53>
   0x000000000043d853 <+51>:	repz retq 
   0x000000000043d855 <+53>:	mov    $0xffffffffffffffb8,%rdx
   0x000000000043d85c <+60>:	neg    %eax
   0x000000000043d85e <+62>:	mov    %eax,%fs:(%rdx)
   0x000000000043d861 <+65>:	or     $0xffffffffffffffff,%rax
   0x000000000043d865 <+69>:	retq   
End of assembler dump.

Potential duplicate: bug 769308
Comment 1 Robert Hancock 2013-06-03 12:58:32 EDT
Created attachment 756415 [details]
File: backtrace
Comment 2 Robert Hancock 2013-06-03 12:58:36 EDT
Created attachment 756416 [details]
File: cgroup
Comment 3 Robert Hancock 2013-06-03 12:58:39 EDT
Created attachment 756417 [details]
File: core_backtrace
Comment 4 Robert Hancock 2013-06-03 12:58:42 EDT
Created attachment 756418 [details]
File: dso_list
Comment 5 Robert Hancock 2013-06-03 12:58:45 EDT
Created attachment 756419 [details]
File: environ
Comment 6 Robert Hancock 2013-06-03 12:58:48 EDT
Created attachment 756420 [details]
File: limits
Comment 7 Robert Hancock 2013-06-03 12:58:52 EDT
Created attachment 756421 [details]
File: maps
Comment 8 Robert Hancock 2013-06-03 12:58:55 EDT
Created attachment 756422 [details]
File: open_fds
Comment 9 Robert Hancock 2013-06-03 12:58:58 EDT
Created attachment 756423 [details]
File: proc_pid_status
Comment 10 Robert Hancock 2013-06-03 12:59:02 EDT
Created attachment 756424 [details]
File: var_log_messages
Comment 11 Fedora End Of Life 2013-12-21 08:50:33 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2014-02-05 16:39:05 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.